Skip to Content
kosemdocs
ReferenceAPIModels

Get model catalog

Gets kosem's catalog of providers' models, with their limits and list prices, such as to price a model whose prices kosem doesn't know like one of them.

GET
/v1/modelCatalog

Gets kosem's catalog of providers' models, with their limits and list prices, such as to price a model whose prices kosem doesn't know like one of them.

Authorization

bearer
headerAuthorizationBearer <token>

An access token, or an API key.

Response Body

OK

application/json
  1. response
models*array<>

The catalog's models, by provider.

Example Request
curl -X GET 'https://api.kosem.ai/v1/modelCatalog'
Example Response
{
  "models": [
    {
      "info": {
        "contextWindow": 0,
        "deprecated": true,
        "displayName": "string",
        "inputs": [
          "string"
        ],
        "maxInputTokens": 0,
        "maxOutputTokens": 0,
        "pricing": {
          "cacheRead": {
            "currencyCode": "string",
            "nanos": -999999999,
            "units": 0
          },
          "cacheWrite": {
            "currencyCode": "string",
            "nanos": -999999999,
            "units": 0
          },
          "input": {
            "currencyCode": "string",
            "nanos": -999999999,
            "units": 0
          },
          "output": {
            "currencyCode": "string",
            "nanos": -999999999,
            "units": 0
          }
        },
        "reasoning": true,
        "reasoningEfforts": [
          "string"
        ],
        "structuredOutput": true,
        "toolCalls": true
      },
      "provider": "string",
      "providerModel": "string"
    }
  ]
}